#
# spec file for package php5-pear-Date_Holidays
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           php5-pear-Date_Holidays
%define pear_name  Date_Holidays
%define pear_sname date_holidays
Summary:        Driver based class to calculate holidays
License:        PHP-3.01
Group:          Productivity/Networking/Web/Servers
Version:        0.21.8
Release:        5.3
BuildArch:      noarch
Url:            http://pear.php.net/package/%{pear_name}
Source:         %{pear_name}-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  php >= 4.2.0
%if 0%{?sles_version} == 11
BuildRequires:  php53-devel
%else
BuildRequires:  php-macros
%endif
BuildRequires:  php-pear
Requires:       php >= 4.2.0
Requires:       php-pear
Requires:       php5-pear-Date
Requires:       php5-pear-XML_Serializer
Provides:       pear-%{pear_name}
Provides:       php-pear-%{pear_name}
# Fix for renaming (package convention)
Provides:       pear-%{pear_sname} = %{version}
Provides:       php-pear-%{pear_sname} = %{version}
Provides:       php5-pear-%{pear_sname} = %{version}
Obsoletes:      pear-%{pear_sname} < %{version}
Obsoletes:      php-pear-%{pear_sname} < %{version}
Obsoletes:      php5-pear-%{pear_sname} < %{version}

%description
Date_Holidays helps you calculate the dates and titles of holidays and other special celebrations. 
The calculation is driver-based so it is easy to add new drivers that calculate a country's holidays. 
The methods of the class can be used to get a holiday's date and title in various languages.

%prep
%setup -c

%build

%install
%{__mv} package*.xml %{pear_name}-%{version}
cd %{pear_name}-%{version}
%{__rm} pear-dh-compile-translationfile   
%{__rm} pear-dh-ini2xml
##these two files should go to some nondefault location and need fixed shebang
PHP_PEAR_PHP_BIN="$(which php) -d memory_limit=50m"
%{__pear} -v \
        -d doc_dir=/doc \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{php_peardir}/data \
        install --offline --nodeps -R "%{buildroot}" package.xml

%{__install} -D -m 0644 package.xml %{buildroot}%{php_pearxmldir}/%{pear_name}.xml

%{__rm} -rf %{buildroot}/{doc,tmp}
%{__rm} -rf "%{buildroot}"/%{php_peardir}/.{filemap,lock,registry,channels,depdb,depdblock}
cd ..

%php_pear_gen_filelist

%check
%{__pear} run-tests

%post
# on `rpm -ivh` PARAM is 1
# on `rpm -Uvh` PARAM is 2
if [ "$1" = "1" ]; then
  %{__pear} install --nodeps --soft --force --register-only %{php_pearxmldir}/%{pear_name}.xml
fi
if [ "$1" = "2" ]; then
  %{__pear} upgrade --offline --register-only %{php_pearxmldir}/%{pear_name}.xml
fi

%postun
# on `rpm -e` PARAM is 0
if [ "$1" = "0" ]; then
  %{__pear} uninstall --nodeps --ignore-errors --register-only pear.php.net/%{pear_name}
fi

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-, root, root)

%changelog
* Mon Jan 19 2015 lang@b1-systems.de
- version 0.21.8
- Additional Holiday Drivers added
* Tue Nov 27 2012 Ralf Lang <lang@b1-systems.de>
- version 0.21.7
- Request #19716: Add Dutch translation for Christian driver
- Fix Bug #19151: Easter Monday is always on the next day
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Tue Feb  1 2011 lang@b1-systems.de
- Initial packaging using php-macros
